Bug 459206 - menu item symlink breakage (XMMS)
menu item symlink breakage (XMMS)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xmms (Show other bugs)
14
All Linux
medium Severity low
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-14 19:42 EDT by Valentine
Modified: 2011-07-25 23:47 EDT (History)
3 users (show)

See Also:
Fixed In Version: xmms-1.2.11-15.20071117cvs.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-25 23:30:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
screenshot that shows xmms's .desktop file is not correct (20.21 KB, image/png)
2008-08-24 15:58 EDT, Slobodan Sredojevic
no flags Details

  None (edit)
Description Valentine 2008-08-14 19:42:29 EDT
Description of problem:
Upon installing xmms (yum install xmms), I realied that there was no menu item. I was told to report this bug. At the moment, this is all of the information that I have. If I can assist further, pleast let me know.

Version-Release number of selected component (if applicable):
xmms-1.2.10-38.fc9.i386

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Valentine 2008-08-14 20:09:46 EDT
XMMS was listed in the 'Applications > Sound & Video' menu as "Audio Player", rather than "XMMS Audio Player".
Comment 2 Slobodan Sredojevic 2008-08-24 15:58:45 EDT
Created attachment 314886 [details]
screenshot that shows xmms's .desktop file is not correct
Comment 3 Slobodan Sredojevic 2008-08-24 16:03:31 EDT
Audio player's (xmms) *menu* icon appears in the menu here(same version as reported but x86_64).

But, if a user try to drag it to the *Desktop* an empty icon appears with some emblems attached. Seems .desktop file is broken, please look at it's "Target link" (../desktop-menu-patches/redhat-audio-player.desktop). If a user click on that icon an error message window (attached) appears.
Comment 4 Paul F. Johnson 2008-09-12 04:51:52 EDT
I'm not seeing that here at all. Can you check the version in f9-update-candidates please?
Comment 5 Slobodan Sredojevic 2008-09-13 19:38:55 EDT
Sure, installed 1.2.11x from koji service and this little problem is still present. 
More details on problem: seems only drag&drop of xmms menu item to the desktop produces bug!  But if I right click above xmms menu item and choose "Add this launcher to the desktop" everything is fine - appropriate xmms icon is put onto Desktop. Also adding it to the panel via drag&drop or context menu "Add this launcher to the panel" perfectly adds xmms to the panel.
Comment 6 Michael Schwendt 2008-11-25 14:33:53 EST
Confirmed.

The problem here is that the .desktop file in package "xmms" is
a symlink to a file in the "redhat-menus" package:

$ rpm -qlv xmms|grep desk
lrwxrwxrwx    1 root    root               51 Sep 12 01:01 /usr/share/applications/redhat-audio-player.desktop -> ../desktop-menu-patches/redhat-audio-player.desktop

$ rpm -qf /usr/share/desktop-menu-patches/redhat-audio-player.desktop 
redhat-menus-8.9.11-3.fc9.noarch

That breaks the drag'n'drop feature in desktop systems.
Comment 7 Bug Zapper 2009-06-09 22:28:19 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Michael Schwendt 2009-06-10 01:53:00 EDT
xmms-1.2.11-5.20071117cvs.fc11
Comment 9 Bug Zapper 2010-04-27 08:11:35 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2010-06-28 06:42:51 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 11 Bug Zapper 2010-07-30 06:32:52 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Fedora Admin XMLRPC Client 2011-07-14 14:45:01 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 13 Fedora Update System 2011-07-15 16:41:32 EDT
xmms-1.2.11-15.20071117cvs.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/xmms-1.2.11-15.20071117cvs.fc14
Comment 14 Fedora Update System 2011-07-15 16:41:50 EDT
xmms-1.2.11-15.20071117cvs.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/xmms-1.2.11-15.20071117cvs.fc15
Comment 15 Fedora Update System 2011-07-16 03:34:36 EDT
Package xmms-1.2.11-15.20071117cvs.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xmms-1.2.11-15.20071117cvs.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/xmms-1.2.11-15.20071117cvs.fc15
then log in and leave karma (feedback).
Comment 16 Fedora Update System 2011-07-25 23:30:04 EDT
xmms-1.2.11-15.20071117cvs.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2011-07-25 23:47:33 EDT
xmms-1.2.11-15.20071117cvs.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.